<label style="font-weight: 600; padding: 0 0.5rem;">{{ 'backoffice.integration.calendars.tenant_closure_days' | trans }}</label>
{% if tenant.closingPeriods|length > 0 %}
  <p class="px-2 text-secondary small">
    {{ 'backoffice.integration.calendars.tenant_closure_days_description' | trans }}
    {% if is_granted('ROLE_ADMIN') %}
      <a href="{{ path('admin_edit_ente') }}#closing-periods" target="_blank"> <i class="fa fa-edit" aria-hidden="true"></i> {{ 'backoffice.integration.calendars.tenant_closure_days_edit' | trans }}</a>
    {% endif %}
  </p>
  <fieldset class="bg-light p-3 mb-3">
    {% for closingPeriod in tenant.closingPeriods %}
      <div class="row">
        <div class="col-6">
          <strong>{{ 'from' | trans }}:</strong> {{ closingPeriod.fromTime|format_datetime('medium', 'medium', locale=app.request.locale) }}
        </div>
        <div class="col-6">
          <strong>{{ 'to' | trans }}:</strong> {{ closingPeriod.toTime|format_datetime('medium', 'medium', locale=app.request.locale) }}
        </div>
      </div>
    {% endfor %}
  </fieldset>
{% else %}
  {% if is_granted('ROLE_ADMIN') %}
    <p class="px-2 text-secondary small">
      {{ 'backoffice.integration.calendars.tenant_closure_days_description' | trans }}
      <a href="{{ path('admin_edit_ente') }}#closing-periods" target="_blank"> <i class="fa fa-plus-square-o" aria-hidden="true"></i> {{ 'backoffice.integration.calendars.tenant_closure_days_create' | trans }}</a>
    </p>
  {% endif %}
{% endif %}
<label style="font-weight: 600; padding: 0 0.5rem;">{{ 'backoffice.integration.calendars.closure_days' | trans }}</label>
<fieldset class="bg-light p-3 mb-3">
  <div id="closing_periods"
       data-prototype='
             <div id="App_calendar_closing_periods___name__">
               <div class="row">
                 <div class="col-5">
                   <div class="form-group">
                     <label for="App_calendar_closing_periods___name___from_time" class="required">{{ 'from' | trans }}</label>
                     <input type="datetime-local" id="App_calendar_closing_periods___name___from_time" name="App_calendar[closing_periods][__name__][from_time]" required="required" class="form-control" />
                   </div>
                 </div>
                 <div class="col-5">
                   <div class="form-group">
                     <label for="App_calendar_closing_periods___name___to_time" class="required">{{ 'to' | trans }}</label>
                     <input type="datetime-local" id="App_calendar_closing_periods___name___to_time" name="App_calendar[closing_periods][__name__][to_time]" required="required" class="form-control" />
                   </div>
                 </div>
                 <div class="col-2">
                <div class="form-row">
                  <div class="form-group">
                    <label>&nbsp;</label>
                    <a class="btn btn-danger btn-xs js-remove-closing_period" href="#">
                      <svg class="icon icon-sm icon-white d-md-none"><use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-delete"></use></svg>
                      <span class="d-none d-md-block">{{ 'backoffice.integration.calendars.delete_closure' | trans }}</span>
                    </a>
                  </div>
                </div>
              </div>
               </div>
             </div>
             <div class="clearfix mb-4"></div>'
       data-widget-closing_period="{{ '<div class="js-closing_period-item"></div>'|e }}"
       data-widget-counter="{{ form.closing_periods|length }}">
    {% if form.closing_periods|length > 0 %}
      {% for closing_period in form.closing_periods %}
        <div class="js-closing_period-item">
          <div id="App_calendar_closing_periods___name__">
            <div class="row">
              <div class="col-5">
                {{ form_row(closing_period.from_time) }}
              </div>
              <div class="col-5">
                {{ form_row(closing_period.to_time) }}
              </div>
              <div class="col-2">
                <div class="form-row">
                  <div class="form-group">
                    <label>&nbsp;</label>
                    <a class="btn btn-danger btn-xs js-remove-closing_period" href="#">
                      <svg class="icon icon-sm icon-white d-md-none">
                        <use xlink:href="/bootstrap-italia/dist/svg/sprite.svg#it-delete"></use>
                      </svg>
                      <span
                        class="d-none d-md-block">{{ 'backoffice.integration.calendars.delete_closure' | trans }}</span>
                    </a>
                  </div>
                </div>
              </div>
            </div>
            <div class="clearfix mb-4"></div>
          </div>
        </div>
      {% endfor %}
    {% else %}
      <p id="no-closing_periods"><i class="fa fa-info-circle"></i> {{ 'backoffice.integration.calendars.no_closure_days' | trans }}</p>
    {% endif %}
  </div>
  <button type="button"
          class="add-another-closing_period-widget btn btn-xs btn-primary"
          data-list-selector="#closing_periods">{{ 'backoffice.integration.calendars.add_closure_days' | trans }}
  </button>
</fieldset>

